/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.dao.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import net.lensfrex.dscape.dao.entity.RolePermission;
import net.lensfrex.dscape.dao.mapper.RolePermissionMapper;
import net.lensfrex.dscape.dao.service.RolePermissionService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class RolePermissionServiceImpl extends ServiceImpl<RolePermissionMapper, RolePermission> implements RolePermissionService {

    @Override
    public List<String> getPermissions(String role) {
        QueryWrapper<RolePermission> wrapper = new QueryWrapper<>();
        wrapper.lambda()
                .select(RolePermission::getPermission)
                .eq(RolePermission::getRole, role)
                .eq(RolePermission::getIsDeleted, 0);

        return this.getPermissions(wrapper);
    }

    @Override
    public List<String> getPermissions(List<String> roles) {
        QueryWrapper<RolePermission> wrapper = new QueryWrapper<>();
        wrapper.lambda()
                .select(RolePermission::getPermission)
                .in(RolePermission::getRole, roles)
                .eq(RolePermission::getIsDeleted, 0);

        return this.getPermissions(wrapper);
    }

    private List<String> getPermissions(QueryWrapper<RolePermission> wrapper) {

        List<RolePermission> rolePermissionList = this.list(wrapper);

        List<String> permissions = new ArrayList<>();
        rolePermissionList.forEach(rolePermission -> permissions.add(rolePermission.getPermission().toString()));

        return permissions;
    }
}
