/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.utils;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.datatype.jsr310.JavaTimeModule;

public class ObjectJsonSerializer {
    /**
     * 序列化对象到json字符串
     *
     * @param obj 待序列化的对象
     * @return 序列化后的数据
     */
    public static String serialize(Object obj) {
        try {
            return new ObjectMapper().registerModule(new JavaTimeModule()).writeValueAsString(obj);
        } catch (Exception e) {
            return null;
        }
    }

    /**
     * 反序列化对象
     *
     * @param data 源数据
     * @return 反序列化后的对象
     */
    public static <T> T deserialize(String data, Class<T> valueType) {
        try {
            return new ObjectMapper().registerModule(new JavaTimeModule()).readValue(data, valueType);
        } catch (Exception e) {
            return null;
        }
    }
}
