/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape;

import com.github.yitter.contract.IdGeneratorOptions;
import com.github.yitter.idgen.YitIdHelper;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;

import java.util.TimeZone;

@SpringBootApplication
@MapperScan("net.lensfrex.dscape.dao.mapper")
public class ServerMain extends SpringBootServletInitializer {

    public static void main(String[] args) {
        TimeZone.setDefault(TimeZone.getTimeZone("Asia/Shanghai"));

        IdGeneratorOptions options = new IdGeneratorOptions((short) 12);
        options.WorkerIdBitLength = 4;
        YitIdHelper.setIdGenerator(options);

        SpringApplication.run(ServerMain.class, args);
    }
}
