/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.configure;

import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.DirectExchange;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class RabbitConfigure {

    public static final String QUEUE_NAME = "net.lensfrex.dscape.mq.queue";

    public static final String EXCHANGE_NAME = "net.lensfrex.dscape.mq.exchange";

    public static final String ROUTING_KEY = "net.lensfrex.dscape.mq.routing";

    @Bean
    public Queue queue() {
        return new Queue(QUEUE_NAME, true, false, false);
    }

    @Bean
    public DirectExchange directExchange() {
        return new DirectExchange(EXCHANGE_NAME, true, false);
    }

    @Bean
    public Binding binding() {
        return BindingBuilder
                .bind(this.queue())
                .to(this.directExchange())
                .with(ROUTING_KEY);
    }
}
