/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.dao.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import net.lensfrex.dscape.dao.entity.ComputeHistory;
import net.lensfrex.dscape.dao.mapper.ComputeHistoryMapper;
import net.lensfrex.dscape.dao.service.ComputeHistoryService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class ComputeHistoryServiceImpl extends ServiceImpl<ComputeHistoryMapper, ComputeHistory> implements ComputeHistoryService {
    @Override
    public long count(SFunction<ComputeHistory, ?> indexColum, Object index) {
        QueryWrapper<ComputeHistory> wrapper = new QueryWrapper<>();
        wrapper.lambda()
                .eq(indexColum, index);

        return this.count(wrapper);
    }

    @Override
    public List<ComputeHistory> getHistory(String uid, int page, int limit) {
        QueryWrapper<ComputeHistory> wrapper = new QueryWrapper<>();
        wrapper.lambda()
                .eq(ComputeHistory::getUid, uid);

        return this.page(new Page<>(page, limit), wrapper).getRecords();
    }

    @Override
    public List<Long> getHistoryDataIds(String uid, int page, int limit) {
        QueryWrapper<ComputeHistory> wrapper = new QueryWrapper<>();
        wrapper.lambda()
                .select(ComputeHistory::getRid)
                .eq(ComputeHistory::getUid, uid);

        List<ComputeHistory> results = this.page(new Page<>(page, limit), wrapper).getRecords();

        List<Long> ids = new ArrayList<>(results.size());
        results.forEach(result -> ids.add(result.getRid()));

        return ids;
    }

    @Override
    public boolean remove(Long rid) {
        QueryWrapper<ComputeHistory> wrapper = new QueryWrapper<>();
        wrapper.lambda()
                .eq(ComputeHistory::getRid, rid);

        return this.remove(wrapper);
    }

    @Override
    public String getHistoryUser(Long rid) {
        QueryWrapper<ComputeHistory> wrapper = new QueryWrapper<>();
        wrapper.lambda()
                .select(ComputeHistory::getUid)
                .eq(ComputeHistory::getRid, rid);

        return this.getOne(wrapper).getUid();
    }
}
