/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.dao.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import net.lensfrex.dscape.dao.entity.PatientData;
import net.lensfrex.dscape.dao.service.PatientDataService;
import net.lensfrex.dscape.dao.mapper.PatientDataMapper;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

@Service
public class PatientDataServiceImpl extends ServiceImpl<PatientDataMapper, PatientData> implements PatientDataService {
    @Override
    public List<PatientData> getData(Collection<Long> ids) {
        if (ids == null || ids.isEmpty()) {
            return new ArrayList<>();
        }

        QueryWrapper<PatientData> wrapper = new QueryWrapper<>();
        wrapper.lambda()
                .in(PatientData::getId, ids)
                .orderByDesc(PatientData::getId);

        return this.list(wrapper);
    }

    @Override
    public PatientData getData(Long rid) {
        QueryWrapper<PatientData> wrapper = new QueryWrapper<>();
        wrapper.lambda()
                .eq(PatientData::getId, rid);

        return this.getOne(wrapper);
    }
}