/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.dao.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import net.lensfrex.dscape.dao.entity.UserBasic;
import net.lensfrex.dscape.dao.service.UserBasicService;
import net.lensfrex.dscape.dao.mapper.UserBasicMapper;
import org.springframework.stereotype.Service;

@Service
public class UserBasicServiceImpl extends ServiceImpl<UserBasicMapper, UserBasic> implements UserBasicService {
    @Override
    public UserBasic getUser(SFunction<UserBasic, ?> indexColm, String index) {
        QueryWrapper<UserBasic> wrapper = new QueryWrapper<>();
        wrapper.lambda().eq(indexColm, index);

        return this.getOne(wrapper);
    }

    @Override
    public UserBasic getUser(QueryWrapper<UserBasic> wrapper) {
        return this.getOne(wrapper);
    }

    @Override
    public boolean userNameExists(String username) {
        QueryWrapper<UserBasic> wrapper = new QueryWrapper<>();
        wrapper.lambda().eq(UserBasic::getUserName, username);

        return this.count(wrapper) != 0;
    }

    @Override
    public void modify(SFunction<UserBasic, ?> indexColm, Object index, SFunction<UserBasic, ?> modifyColm, Object newValue) {
        UpdateWrapper<UserBasic> wrapper = new UpdateWrapper<>();
        wrapper.lambda()
                .eq(indexColm, index)
                .set(modifyColm, newValue);

        this.update(wrapper);
    }

    @Override
    public void modify(UpdateWrapper<UserBasic> wrapper) {
        this.update(wrapper);
    }
}