/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author lensfrex
 * @description black_list
 * @date 2022-08-19
 */
@Data
public class BlackList implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    /**
     * id
     */
    private Integer id;

    /**
     * 黑名单数据类型；0：ip；1：uid
     */
    private int type;

    /**
     * 黑名单条目名称，可空
     */
    private String name;

    /**
     * 黑名单数据
     */
    private String data;

    /**
     * create_time
     */
    private Date createTime;

    /**
     * edit_time
     */
    private Date editTime;

    /**
     * is_deleted
     */
    @TableLogic
    private int isDeleted;

    public BlackList() {
    }
}