/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author lensfrex
 * @description compute_history
 * @date 2022-08-23
 */
@Data
public class ComputeHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    /**
     * id
     */
    private Long id;

    /**
     * 计算数据记录对应的用户uid
     */
    private String uid;

    /**
     * 计算数据记录对应的患者数据id
     */
    private Long rid;

    /**
     * 状态，0：完成，1：计算中
     */
    private int status;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * edit_time
     */
    private LocalDateTime editTime;

    /**
     * is_deleted
     */
    private int isDeleted;

    public ComputeHistory() {
    }
}