/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.utils.validate;

public class TextCheckUtil {

    private static final String ABC_AND_CHINESE_REGEX = "[^a-zA-Z0-9\\_\\u4e00-\\u9fa5]";

    private static final String ABC_REGEX = "[^a-zA-Z0-9\\_]";

    // [^a-zA-Z0-9\_\[\];',./{}:"<>?/*\-\\!@#$%^&()\+\u4e00-\u9fa5]
    private static final String ALL_CHARACTER_REGEX = "[^a-zA-Z0-9\\_\\[\\];',./{}:\"<>?/*\\-\\\\!@#$%^&()+=~`\\u4e00-\\u9fa5]";

    /**
     * 检测非字母和中文符号（下划线"_"除外）
     *
     * @param source 待检测字符串
     * @return 是否含有非字母字符
     */
    public static boolean checkNoneAbcAndChinese(String source) {
        return !source.matches(ABC_AND_CHINESE_REGEX);
    }

    /**
     * 批量检测非字母和中文符号（下划线"_"除外）
     *
     * @param source 待检测字符串
     * @return 是否含有非字母字符
     */
    public static boolean checkNoneAbcAndChinese(String... source) {
        for (String text : source) {
            if (text.matches(ABC_AND_CHINESE_REGEX)) {
                return true;
            }
        }

        return false;
    }

    public static boolean checkNoneCharacter(String source) {
        return !source.matches(ALL_CHARACTER_REGEX);
    }

    public static boolean checkNoneCharacter(String... source) {
        for (String text : source) {
            if (text.matches(ALL_CHARACTER_REGEX)) {
                return true;
            }
        }

        return false;
    }
}