/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.mq;

import lombok.extern.slf4j.Slf4j;
import net.lensfrex.dscape.configure.RabbitConfigure;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class MessageQueueProducer {
    private final RabbitTemplate rabbit;

    public MessageQueueProducer(RabbitTemplate rabbit) {
        this.rabbit = rabbit;
    }

    public void sendObject(Object data) {
        rabbit.convertAndSend(RabbitConfigure.EXCHANGE_NAME, RabbitConfigure.ROUTING_KEY, data);
    }
}
