/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.web.controllers.compute;

import cn.dev33.satoken.annotation.SaCheckLogin;
import net.lensfrex.dscape.dto.request.compute.ComputeRequestBody;
import net.lensfrex.dscape.dto.response.data.compute.ComputeResponseData;
import net.lensfrex.dscape.dto.response.general.Response;
import net.lensfrex.dscape.dto.response.general.ResponseCode;
import net.lensfrex.dscape.web.service.compute.ComputeService;
import org.springframework.web.bind.annotation.*;

@SaCheckLogin
@RestController
@RequestMapping("/compute")
public class ComputeController {

    private final ComputeService computeService;

    public ComputeController(ComputeService computeService) {
        this.computeService = computeService;
    }

    @GetMapping(value = "/status/{tid}", produces = "application/json")
    public Response status(@PathVariable String tid,
                           @RequestHeader String token) {
        return Response.error(ResponseCode.API_NOT_IMPLEMENT);
    }

    @PostMapping(value = "/add", produces = "application/json")
    public Response<ComputeResponseData> addComputeTask(@RequestBody ComputeRequestBody request) {
        long rid = computeService.addTask(request);

        return Response.success(new ComputeResponseData(rid));
    }
}
