/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.web.service.data;

import net.lensfrex.dscape.dao.entity.ComputeHistory;
import net.lensfrex.dscape.dao.entity.PatientData;
import net.lensfrex.dscape.dao.service.PatientDataService;
import lombok.extern.slf4j.Slf4j;
import net.lensfrex.dscape.dao.service.ComputeHistoryService;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
public class HistoryService {

    private final ComputeHistoryService computeHistoryService;

    private final PatientDataService patientDataService;

    public HistoryService(ComputeHistoryService computeHistoryService,
                          PatientDataService patientDataService) {

        this.computeHistoryService = computeHistoryService;
        this.patientDataService = patientDataService;
    }

    public long getTotalCount(String uid) {
        return computeHistoryService.count(ComputeHistory::getUid, uid);
    }

    public List<Long> getUserHistoryId(String uid, int page, int limit) {
        return computeHistoryService.getHistoryDataIds(uid, page, limit);
    }

    public List<PatientData> getUserHistoryData(String uid, int page, int limit) {
        return patientDataService.getData(getUserHistoryId(uid, page, limit));
    }

    public String getHistoryUser(Long rid) {
        return computeHistoryService.getHistoryUser(rid);
    }

    public void deleteHistoryData(Long rid) {
        computeHistoryService.remove(rid);
    }
}
